## Instructions for extracting feature importance

This folder contains a Jupyter notebook and data used for training a Random forest classifier model and extracting feature importance. 

## Contents

1. **Jupyter Notebook**
   - `RF_MT_apt_featureimp.ipynb`: Jupyter notebook to extract feature importance for the `Medium Temperature` (70/50&deg;C) supply. 
   - `RF_LT_apt_featureimp.ipynb`: Jupyter notebook to extract feature importance for the `Low Temperature` (55/35&deg;C) supply.
2. **Data_Directory**
   - `Data_feature_imp` : Simulated outputs for identified sample size of 1300 under High, Medium and Low Temperature supply.

## Dependencies

Ensure you have the following Python libraries installed:

- pandas
- numpy
- sklearn
- seaborn
- matplotlib
- pathlib

## Instructions

These jupyter notebook provides steps used for data processing, training and evaluating Random forest model, and extracting the feature importance. 
